package com.css.simulation.resource.scheduler.configuration.oauth;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.oauth2.provider.token.RemoteTokenServices;
import org.springframework.security.oauth2.provider.token.ResourceServerTokenServices;

import javax.annotation.Resource;

@Configuration
public class MyTokenServices {

    @Resource
    private OauthParameter oauthParameter;


    /**
     * access_token 验证策略
     * DefaultTokenServices()
     * RemoteTokenServices()：远程验证，通过 /oauth/check_token
     * SpringSocialTokenServices()
     * UserInfoTokenServices()
     */
    @Bean
    public ResourceServerTokenServices tokenServices() {
        RemoteTokenServices services = new RemoteTokenServices();
        services.setCheckTokenEndpointUrl(oauthParameter.getCheckTokenEndpointUrl());  // 需要在授权服务器公开 /oauth/check_token
        services.setClientId(oauthParameter.getClientId());
        services.setClientSecret(oauthParameter.getClientSecret());
        return services;
    }

}
