package com.css.simulation.resource.scheduler.feign;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.scheduler.configuration.feign.FeignConfiguration;
import com.css.simulation.resource.scheduler.feign.fallback.DemoServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.multipart.MultipartFile;

@Component
@FeignClient(value = "simulation-resource-common", fallback = DemoServiceFallback.class, configuration = FeignConfiguration.class)
public interface DemoService {

    @RequestMapping("/simulation/resource/common")
    ResponseBodyVO<String> upload(MultipartFile multipartFile, String bucketName, String objectName);
}
